gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gdk.WindowAttributesTypeGType)) System.Flags Used to indicate which fields in the struct should be honored. For example, if you filled in the "cursor" and "x" fields of , pass Gdk.WindowAttributesType.X | Gdk.WindowAttributesType.Cursor to new Gdk.Window (). Fields in not covered by a bit in this enum are required; for example, the width/height, wclass, and window_type fields are required.
- Field
  2.12.0.0
  Gdk.WindowAttributesType Honor the colormap field.
- Field
  2.12.0.0
  Gdk.WindowAttributesType Honor the cursor field.
- Field
  2.12.0.0
  Gdk.WindowAttributesType Honor the override_redirect field.
- Field
  2.12.0.0
  Gdk.WindowAttributesType Honor the title field.
- Field
  2.12.0.0
  Gdk.WindowAttributesType Honor the TypeHint field.
- Field
  2.12.0.0
  Gdk.WindowAttributesType Honor the visual field.
- Field
  2.12.0.0
  Gdk.WindowAttributesType Honor the wmclass_class and wmclass_name fields.
- Field
  2.12.0.0
  Gdk.WindowAttributesType Honor the x coordinate field.
- Field
  2.12.0.0
  Gdk.WindowAttributesType Honor the y coordinate field.